petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecGhostUpdateBegin

Begins the vector scatter to update the vector from local representation to global or global representation to local.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGhostUpdateBegin(Vec g,InsertMode insertmode,ScatterMode scattermode)

Neighbor-wise Collective on Vec Many br

### Input Parameters

| g | - the vector (obtained with VecCreateGhost() or VecDuplicate()) Many br
| insertmode | - one of ADD_VALUES or INSERT_VALUES Many br
| scattermode | - one of SCATTER_FORWARD or SCATTER_REVERSE Many br

### Notes

Use the following to update the ghost regions with correct values from the owning process Many br

           VecGhostUpdateBegin(v,INSERT_VALUES,SCATTER_FORWARD);
           VecGhostUpdateEnd(v,INSERT_VALUES,SCATTER_FORWARD);

Many br

Use the following to accumulate the ghost region values onto the owning processors Many br

           VecGhostUpdateBegin(v,ADD_VALUES,SCATTER_REVERSE);
           VecGhostUpdateEnd(v,ADD_VALUES,SCATTER_REVERSE);

Many br

To accumulate the ghost region values onto the owning processors and then update Many brthe ghost regions correctly, call the later followed by the former, i.e., Many br

           VecGhostUpdateBegin(v,ADD_VALUES,SCATTER_REVERSE);
           VecGhostUpdateEnd(v,ADD_VALUES,SCATTER_REVERSE);
           VecGhostUpdateBegin(v,INSERT_VALUES,SCATTER_FORWARD);
           VecGhostUpdateEnd(v,INSERT_VALUES,SCATTER_FORWARD);

Many br

Many br

### See Also

VecCreateGhost(), VecGhostUpdateEnd(), VecGhostGetLocalForm(),
VecGhostRestoreLocalForm(),VecCreateGhostWithArray() Many br

Level:advanced
Location:src/vec/vec/impls/mpi/commonmpvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex9f.F.html
src/vec/vec/examples/tutorials/ex14f.F.html